Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchPartReference

All Known Subinterfaces:
  IEditorReference, IViewReference

public interface IWorkbenchPartReference

Implements a reference to a IWorkbenchPart. The IWorkbenchPart will not be instanciated until the part becomes visible or the API getPart is sent with true;

This interface is not intended to be implemented by clients.

Method Summary
`void` | `addPropertyListener(IPropertyListener listener)`
`String` | `getContentDescription()` Returns the content description for the part (or the empty string if none)
`String` | `getId()`
`IWorkbenchPage` | `getPage()` Returns the workbench page that contains this part
`IWorkbenchPart` | `getPart(boolean restore)` Returns the IWorkbenchPart referenced by this object.
`String` | `getPartName()` Returns the name of the part, as it should be shown in tabs.
`String` | `getTitle()`
`Image` | `getTitleImage()`
`String` | `getTitleToolTip()`
`void` | `removePropertyListener(IPropertyListener listener)`

Method Detail

### getPart

    public IWorkbenchPart getPart(boolean restore)

  Returns the IWorkbenchPart referenced by this object. Returns `null` if the editors was not instantiated or it failed to be restored. Tries to restore the editor if `restore` is true.

### getTitle

    public String getTitle()

  See Also:
    `IWorkbenchPart.getTitle()`

### getTitleImage

    public Image getTitleImage()

  See Also:
    `IWorkbenchPart.getTitleImage()`

### getTitleToolTip

    public String getTitleToolTip()

  See Also:
    `IWorkbenchPart.getTitleToolTip()`

### getId

    public String getId()

  See Also:
    `IWorkbenchPartSite.getId()`

### addPropertyListener

    public void addPropertyListener(IPropertyListener listener)

  See Also:
    `IWorkbenchPart.addPropertyListener(org.eclipse.ui.IPropertyListener)`

### removePropertyListener

    public void removePropertyListener(IPropertyListener listener)

  See Also:
    `IWorkbenchPart.removePropertyListener(org.eclipse.ui.IPropertyListener)`

### getPage

    public IWorkbenchPage getPage()

  Returns the workbench page that contains this part

### getPartName

    public String getPartName()

  Returns the name of the part, as it should be shown in tabs.

  Returns:
    the part name
  Since:
    3.0

### getContentDescription

    public String getContentDescription()

  Returns the content description for the part (or the empty string if none)

  Returns:
    the content description for the part
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.